select count(*) from main_star;
select * from star_occurrence oc where oc.type='file' and oc.workspace_id=3 order by oc.computing_time DESC, oc.star_id limit 3224;

-- too faint main stars with g mag > 15 and file occurrence > 0
select s.id,s.identifier,s.ra_icrs, s.dec_icrs,s.spectral_type,s.mag_g,doc.total, ac.`object`, ac.file_id, ac.coord_RA, ac.coord_DEC from main_star s
left join (select * from star_occurrence oc where oc.type='file' and oc.workspace_id=3 order by oc.computing_time DESC, oc.star_id limit 3224) doc
on s.id = doc.star_id
join attribute_cache ac
on s.identifier = ac.target
where doc.computing_time is not null and doc.computing_time > 0 and s.mag_g > 15 and doc.total > 0
group by s.id,ac.`object`
order by s.mag_g;

