<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : filter.xsl
    Created on : 23 juin 2021, 19:11
    Author     : bergeons
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet version="1.0"  
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <xsl:output omit-xml-declaration="no" 
                indent="yes" 
                method="xml"
                encoding="UTF-8"/>
    
    <xsl:strip-space elements="*"/>
    
    <xsl:template match="/">
        <xsl:apply-templates select="*"/>
    </xsl:template>   
     
    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()" />
        </xsl:copy>    
    </xsl:template>
    
    <xsl:template match="workspaceGroupCollection" priority="1"/>
    
    <xsl:template match="userCollection" priority="1"/>
</xsl:stylesheet>
