-- odd targets with G mag > 15
SELECT s.id,s.identifier,s.simbad_main_identifier,s.spectral_type,s.mag_g,o.total as '#files' FROM `main_star` s 
join star_occurrence o on o.star_id=s.id
where s.mag_g > 15 and o.`type`='file' and o.workspace_id=3 and o.total > 0
group by s.id
order by s.mag_g;

-- odd targets with 0 public processes
SELECT s.id,s.identifier,s.simbad_main_identifier,s.spectral_type,`of`.total as '#files', o.total as '#processes' FROM `main_star` s 
join star_occurrence o on o.star_id=s.id
join star_occurrence `of` on o.star_id=s.id
where o.`type`='process' and o.workspace_id=180 and o.total = 0
group by s.id;
