-- -- select  s.file_occurrence as sample, 
-- -- floor(LOG(10,s.%s) / %s) as bin, 
-- -- concat('[', floor(LOG(10,s.file_occurrence) / file_occurrence), ';', floor(LOG(10,s.file_occurrence) / file_occurrence) + 1, '[') as bin_display,
-- -- count(s.id)
-- -- from main_star s
-- -- where s.file_occurrence > 0 
-- -- group by bin 
-- -- order by s.file_occurrence;
-- drop table if exists `temp_main_star_count_file_public`;
-- CREATE TABLE `temp_main_star_count_file_public` 
-- select s.id, s.identifier, s.simbad_main_identifier, count(ac.file_id) as file_occurrence 
-- from `main_star` s 
-- join `attribute_cache` ac on ac.target=s.identifier 
-- join `workspace_file` wf on wf.file_id=ac.file_id
-- where ac.coord_RA is not null 
-- and ac.coord_DEC is not null 
-- and wf.workspace_id = 180
-- group by s.id 
-- order by file_occurrence desc;
-- 
-- drop table if exists `temp_main_star_count_process_public`;
-- CREATE TABLE `temp_main_star_count_process_public` 
-- select s.id, s.identifier, s.simbad_main_identifier, count(distinct ac.parent_process_id) as process_occurrence 
-- from `main_star` s 
-- join `attribute_cache` ac on ac.target=s.identifier 
-- join `workspace_file` wf on wf.file_id=ac.file_id
-- where ac.coord_RA is not null 
-- and ac.coord_DEC is not null 
-- and wf.workspace_id = 180
-- group by s.id 
-- order by process_occurrence desc;
-- 
-- 
-- SELECT * FROM `temp_main_star_count_file_public`;
-- SELECT * FROM `temp_main_star_count_process_public`;

set @wpIds = (3,10,180);
insert into star_occurrence
select now(),s.id,wf.workspace_id,'file',count(distinct ac.file_id) as `total`
from main_star s
inner join `attribute_cache` ac on ac.target=s.identifier
inner join `workspace_file` wf on wf.file_id=ac.file_id
where   ac.coord_RA is not null
    and ac.coord_DEC is not null
    and wf.workspace_id in (3,10,180)
group by s.id
order by `total`;

insert into star_occurrence
select now(),s.id,wf.workspace_id,'process',count(distinct ac.parent_process_id) as `total`
from main_star s
inner join `attribute_cache` ac on ac.target=s.identifier
inner join `workspace_file` wf on wf.file_id=ac.file_id
where   ac.coord_RA is not null
    and ac.coord_DEC is not null
    and wf.workspace_id in (3,10,180)
group by s.id
order by `total`;


-- values (now(),3798,180,3750);
-- 
SELECT * FROM `star_occurrence`
order by `computing_time`,`workspace_id`,`type`,`total` DESC;
;